E-MailRelay

Public Member Functions | List of all members
GSsl::MbedTls::Error Struct Reference

An exception class for GSsl::MbedTls classes. More...

`#include <gssl_mbedtls.h>`

Inheritance diagram for GSsl::MbedTls::Error:
[legend]
Collaboration diagram for GSsl::MbedTls::Error:
[legend]

## Public Member Functions
| Error (const std::string &)
| Error (const std::string &, int rc, const std::string &more={})
| Error (const std::string &, int)

## Detailed Description

An exception class for GSsl::MbedTls classes.

Definition at line 144 of file gssl_mbedtls.h.

## Constructor & Destructor Documentation

## ◆ Error() [1/3]

GSsl::MbedTls::Error::Error | ( | const std::string & | s | ) |
| explicit

Definition at line 1084 of file gssl_mbedtls.cpp.

## ◆ Error() [2/3]

GSsl::MbedTls::Error::Error | ( | const std::string & | fnname,
|  | int | rc,
|  | const std::string & | more = `{}`
| ) |  |

Definition at line 1089 of file gssl_mbedtls.cpp.

## ◆ Error() [3/3]

GSsl::MbedTls::Error::Error | ( | const std::string & | fname,
|  | int | rc
| ) |  |

Definition at line 63 of file gssl_mbedtls_keygen.cpp.

The documentation for this struct was generated from the following files:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gssl/gssl_mbedtls.h
- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gssl/gssl_mbedtls_keygen.h
- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gssl/gssl_mbedtls.cpp
- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gssl/gssl_mbedtls_keygen.cpp